# Create Subscription

Create a new subscription.

Endpoint: POST /api/v1/user/subscriptions/
Version: 1.0.0
Security: apikeyAuth

## Request fields (application/json):

  - `subscription` (object, required)

  - `subscription.searchIds` (array, required)
    Array of search IDs associated with this subscription.

  - `subscription.frequency` (string, required)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `subscription.emailAddresses` (array, required)
    Email addresses receiving the notifications.

  - `subscription.name` (string, required)
    Name of the subscription.

  - `subscription.description` (string)
    Description of the subscription.

  - `subscription.isActive` (boolean, required)
    Whether the subscription is active.

  - `subscription.ignoreTime` (boolean, required)
    Whether to ignore time constraints.

  - `subscription.weekDays` (array)
    Days of the week alerts will be generated.

  - `subscription.permissions` (array)

  - `subscription.channelIds` (array)
    Array of channel IDs associated with this subscription.

  - `subscription.incidentChannelIds` (array)
    Array of incident channel IDs associated with this subscription.

  - `subscription.incidentProfileId` (string)
    Incident Profile ID associated with this subscription.

  - `subscription.incidentVisibility` (string)
    Incident visibility for this subscription.
    Enum: "unlisted", "private"

  - `subscription.incidentCreationMode` (string)
    Incident creation rule for this subscription.
    Enum: "none", "default", "always", "ignore-if-exists"

  - `subscription.incidentWatchKeys` (string)
    Source/key to watch in the incident.
    Enum: "scans/page.url", "scans/page.domain", "scans/page.ip", "scans/page.apexDomain", "hostnames/hostname", "hostnames/domain"

## Response 200 fields (application/json):

  - `subscription` (object)

  - `subscription.searchIds` (array)
    Array of search IDs associated with this subscription.

  - `subscription.frequency` (string)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `subscription.emailAddresses` (array)
    Email addresses receiving the notifications.

  - `subscription.name` (string)
    Name of the subscription.

  - `subscription.description` (string)
    Description of the subscription.

  - `subscription.isActive` (boolean)
    Whether the subscription is active.

  - `subscription.ignoreTime` (boolean)
    Whether to ignore time constraints.

  - `subscription.weekDays` (array)
    Days of the week alerts will be generated.

  - `subscription.permissions` (array)

  - `subscription.channelIds` (array)
    Array of channel IDs associated with this subscription.

  - `subscription.incidentChannelIds` (array)
    Array of incident channel IDs associated with this subscription.

  - `subscription.incidentProfileId` (string)
    Incident Profile ID associated with this subscription.

  - `subscription.incidentVisibility` (string)
    Incident visibility for this subscription.
    Enum: "unlisted", "private"

  - `subscription.incidentCreationMode` (string)
    Incident creation rule for this subscription.
    Enum: "none", "default", "always", "ignore-if-exists"

  - `subscription.incidentWatchKeys` (string)
    Source/key to watch in the incident.
    Enum: "scans/page.url", "scans/page.domain", "scans/page.ip", "scans/page.apexDomain", "hostnames/hostname", "hostnames/domain"

